using UnityEngine;
using System.Collections;

public class bassknockback : MonoBehaviour {

    // Use this for initialization
    void Start()
    {
        Invoke("DestroyOnTime", 8f);
        Invoke("DropShock", 0.5f);
    }
    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "Player")
        {
            other.GetComponent<Rigidbody>().velocity = new Vector3(0, 40, 20);
            Destroy(gameObject);
        }
    }
    void DestroyOnTime()
    {
        Destroy(gameObject);
    }
    void DropShock()
    {
        gameObject.tag = "Bass";
    }

}
